DROP TABLE CUSTOMER_ORDER_ITEM IF EXISTS;
DROP TABLE CUSTOMER_ORDER IF EXISTS;
DROP TABLE CUSTOMER IF EXISTS;
DROP TABLE PRODUCT IF EXISTS;

DROP SEQUENCE CUSTOMER_ORDER_ITEM_SEQ IF EXISTS;
DROP SEQUENCE CUSTOMER_ORDER_SEQ IF EXISTS;
DROP SEQUENCE CUSTOMER_SEQ IF EXISTS;
DROP SEQUENCE PRODUCT_SEQ IF EXISTS;

CREATE SEQUENCE CUSTOMER_ORDER_ITEM_SEQ;
CREATE SEQUENCE CUSTOMER_ORDER_SEQ;
CREATE SEQUENCE CUSTOMER_SEQ;
CREATE SEQUENCE PRODUCT_SEQ;

CREATE TABLE PRODUCT (
  ID    INT  GENERATED BY DEFAULT AS SEQUENCE PRODUCT_SEQ PRIMARY KEY,
  NAME  VARCHAR(250) NOT NULL,
  SIZE  VARCHAR(250) NOT NULL,
  PRICE DECIMAL(10,2) NOT NULL,
);

CREATE TABLE CUSTOMER (
  ID    INT  GENERATED BY DEFAULT AS SEQUENCE CUSTOMER_SEQ PRIMARY KEY,
  FAMILY_NAME VARCHAR(250) NOT NULL,
  GIVEN_NAME VARCHAR(250) NOT NULL,
  EMAIL VARCHAR(250) NOT NULL,
  GENDER VARCHAR(1) NOT NULL
);

CREATE TABLE CUSTOMER_ORDER (
  ID    INT  GENERATED BY DEFAULT AS SEQUENCE CUSTOMER_ORDER_SEQ PRIMARY KEY,
  CUSTOMER_ID INT NOT NULL,
  CREATION TIMESTAMP NOT NULL,
  FOREIGN KEY (CUSTOMER_ID) REFERENCES CUSTOMER(ID),
);

CREATE TABLE CUSTOMER_ORDER_ITEM (
  ID    INT  GENERATED BY DEFAULT AS SEQUENCE CUSTOMER_SEQ PRIMARY KEY,
  ORDER_ID INT NOT NULL,
  PRODUCT_ID INT NOT NULL,
  FOREIGN KEY (ORDER_ID) REFERENCES CUSTOMER_ORDER(ID),
  FOREIGN KEY (PRODUCT_ID) REFERENCES PRODUCT(ID),
);
